Jump to content

MediaWiki:Common.css: Difference between revisions

From Scampsopedia
No edit summary
No edit summary
Line 4: Line 4:
   justify-content: center;
   justify-content: center;


   transition: background-color 0.2s ease;
   transition: none 0.2s ease;
  transition-property: background-color, border;
   background-color: var(--background-color-interactive);
   background-color: var(--background-color-interactive);
   border: 1px solid var(--border-color-interactive);
   border: 1px solid var(--border-color-interactive);

Revision as of 11:44, 14 January 2026

.scamp-link-button {
  display: inline-flex;
  align-items: center;
  justify-content: center;

  transition: none 0.2s ease;
  transition-property: background-color, border;
  background-color: var(--background-color-interactive);
  border: 1px solid var(--border-color-interactive);
  border-radius: 4px;
}

.scamp-link-button:hover {
  background-color: var(--background-color-interactive--hover);
  border-color: var(--border-color-interactive--hover);
}

.scamp-link-button > a { 
  text-align: center;
  flex: 1;
  padding: 0.75rem 1rem;
  color: var(--color-base);
  text-decoration: none;
}

.scamp-link-button:hover > a,
.scamp-link-button:active > a { 
  color: var(--color-base);
}

.scamp-link-button > a.external {
  background-image: none;
  padding: 0.75rem 1rem;
}